%define perl_version %(perl -MConfig -e 'print $Config{version}')

Summary: The drakxtools (diskdrake, ...)
Name:    drakxtools
Version: 16.26.12
Release: %mkrel 1
Url:     http://mageia.org/
# The source can be found at its Subversion repository on:
# * svn://svn.mageia.org/svn/soft/drakx/trunk (read-only, public)
# * svn+ssh://svn.mageia.org/svn/soft/drakx/trunk (read-write, restricted).
Source0: %name-%version.tar.xz
#NO PATCH ALLOWED
License: GPLv2+
Group: System/Configuration
Requires: %{name}-curses = %version-%release, perl-Gtk3, perl-Glib >= 1.280.0-3, polkit, perl-Net-DBus, perl-Gtk3-WebKit
Requires:  mageia-doc-common
# needed by drakfont (eg: type1inst):
Requires: font-tools
Requires: libxxf86misc
# needed by any::enable_x_screensaver()
Requires: xset
Requires: drakx-net
Requires: drakconf-icons
# needed for installing packages through do_pkgs -> urpmi -> gmessage
Requires: gurpmi >= 5.7
Requires: ldetect-lst >= 0.1.291
# needed by drakfont:
Requires: ttmkfdir
BuildRequires: gettext, ldetect-devel >= 0.9.0, ncurses-devel, perl-devel >= 1:5.8.0-20, perl-MDK-Common-devel >= 1.1.8-3
BuildRequires: parted-devel
BuildRequires: drakx-installer-binaries intltool
Provides: draksec
Obsoletes: draksec
%define _requires_exceptions perl(Net::FTP)\\|perl(Time::localtime)\\|perl(URPM)\\|perl(Xconfig.*)

%package curses
Summary: The drakxtools (diskdrake, ...)
Group: System/Configuration
Requires: perl-base >= 2:5.8.6-1, urpmi >= 4.8.23, polkit
Requires: perl-Locale-gettext >= 1.05-4mdv2007
Requires: kmod
Requires: %{name}-backend = %version-%release
Requires: drakx-net-text
Obsoletes: diskdrake kbdconfig mouseconfig setuptool drakfloppy
Obsoletes: drakxtools-newt
Provides: diskdrake, kbdconfig mouseconfig setuptool, drakfloppy = %version-%release
Provides: drakxtools-newt = %version-%release
%define _requires_exceptions perl(Gtk3::WebKit)\\|perl(Xconfig::various)

%package backend
Summary: Drakxtools libraries and background tools 
Group: System/Configuration
Requires: dmidecode
Requires: perl-File-FnMatch
# for fileshareset and filesharelist (#17123)
#Requires: perl-suid
# for common::wrap_command_for_root()
Requires: perl-String-ShellQuote
# XS modules are not installed in standard perl path, and thus not found by find-requires (#3731)
Requires: perlapi-%perl_version
# "post" here means %triggerpostun:
Requires(post): perl-MDK-Common >= 1.2.13

%package http
Summary: The drakxtools via http
Group: System/Configuration
Requires: %{name}-curses = %version-%release, perl(Net::SSLeay) >= 1.22-1, perl-Authen-PAM >= 0.14-1, perl-CGI >= 2.91-1
Requires(pre): rpm-helper
Requires(post): rpm-helper

%package -n drakx-finish-install
Summary: First boot configuration
Group: System/Configuration
Requires: %{name} = %version-%release
Requires: drakx-installer-matchbox

%package -n harddrake
Summary: Main Hardware Configuration/Information Tool
Group: System/Configuration
Requires: %{name}-curses = %version-%release
Obsoletes: kudzu, kudzu-devel, libdetect0, libdetect0-devel, libdetect-lst, libdetect-lst-devel, detect, detect-lst
Provides: kudzu = %version, kudzu-devel = %version, libdetect0, libdetect0-devel, libdetect-lst, libdetect-lst-devel, detect, detect-lst
Requires(pre): rpm-helper
Requires(post): rpm-helper
Requires: libdrakx-net >= 1.24 libdrakx-kbd-mouse-x11 >= 0.107 perl(Xconfig::glx)

Requires: meta-task

%package -n harddrake-ui
Summary: Main Hardware Configuration/Information Tool
Group: System/Configuration
Requires: %name = %version-%release
Requires: sane-backends
Requires: libdrakx-net libdrakx-kbd-mouse-x11 >= 0.107 perl(Xconfig::glx)

%description
Contains many Mageia Linux applications simplifying users and
administrators life on a Mageia Linux machine. Nearly all of
them work both under X.Org (graphical environment) and in console
(text environment), allowing easy distant work.

- drakbug: interactive bug report tool
- drakbug_report: help find bugs in DrakX
- drakclock: date & time configurator
- drakfloppy: boot disk creator
- drakfont: import fonts in the system
- draklog: show extracted information from the system logs
- drakperm: msec GUI (permissions configurator)
- draksec: security options managment / msec frontend

%description backend
See package %name

%description curses
Contains many Mageia Linux applications simplifying users and
administrators life on a Mageia Linux machine. Nearly all of
them work both under X.Org (graphical environment) and in console
(text environment), allowing easy distant work.

- adduserdrake: help you adding a user
- diskdrake: DiskDrake makes hard disk partitioning easier. It is
  graphical, simple and powerful. Different skill levels are available
  (newbie, advanced user, expert). It's written entirely in Perl and
  Perl/Gtk. It uses resize_fat which is a perl rewrite of the work of
  Andrew Clausen (libresize).
- drakauth: configure authentification (LDAP/NIS/...)
- drakautoinst: help you configure an automatic installation replay
- drakboot: configures your boot configuration (Lilo/GRUB,
  Bootsplash, X, autologin)
- drakkeyboard: configure your keyboard (both console and X)
- draklocale: language configurator, available both for root
  (system wide) and users (user only)
- drakmouse: autodetect and configure your mouse
- drakscanner: scanner configurator
- draksound: sound card configuration
- drakx11: menu-driven program which walks you through setting up
  your X server; it autodetects both monitor and video card if
  possible
- drakxservices: SysV services and daemons configurator
- drakxtv: auto configure tv card for xawtv grabber
- lsnetdrake: display available nfs and smb shares
- lspcidrake: display your pci information, *and* the corresponding
  kernel module

%description http
This package lets you configure your computer through your Web browser:
it provides an HTTP interface to the Mageia tools found in the drakxtools
package.

%description -n drakx-finish-install
For OEM-like duplications, it allows at first boot:
- network configuration
- creating users
- setting root password
- choosing authentication


%description -n harddrake
The harddrake service is a hardware probing tool run at system boot
time to determine what hardware has been added or removed from the
system.
It then offer to run needed config tool to update the OS
configuration.


%description -n harddrake-ui
This is the main configuration tool for hardware that calls all the
other configuration tools.
It offers a nice GUI that show the hardware configuration splitted by
hardware classes.


%prep
%setup -q
%apply_patches
# needed when tarball cames from git-svn:
cd perl-install; [ -f Makefile.drakxtools ] && mv Makefile.drakxtools Makefile

%build
%make -C perl-install CFLAGS="$RPM_OPT_FLAGS"

%install
%make -C perl-install PREFIX=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/{X11/xinit.d,X11/wmsession.d,sysconfig/harddrake2}
touch $RPM_BUILD_ROOT/etc/sysconfig/harddrake2/previous_hw

dirs1="usr/lib/libDrakX usr/share/libDrakX"
(cd $RPM_BUILD_ROOT ; find $dirs1 usr/bin usr/sbin usr/libexec usr/share/polkit-1 ! -type d -printf "/%%p\n")|egrep -v 'bin/.*harddrake' > %{name}.list
(cd $RPM_BUILD_ROOT ; find $dirs1 -type d -printf "%%%%dir /%%p\n") >> %{name}.list

perl -ni -e '/dbus_object\.pm|Xdrakres|clock|display_help|display_release_notes.pl|drak(bug|clock|dvb|floppy|font|hosts|log|perm|sec|splash)|gtk|icons|logdrake|pixmaps|\.png$/ ? print STDERR $_ : print' %{name}.list 2> %{name}-gtk.list
perl -ni -e '/http/ ? print STDERR $_ : print' %{name}.list 2> %{name}-http.list
perl -ni -e 'm!lib/libDrakX|bootloader-config|fileshare|lsnetdrake|drakupdate_fstab|rpcinfo|serial_probe! && !/curses/i ? print STDERR $_ : print' %{name}.list 2> %{name}-backend.list
perl -ni -e '/finish-install/ ? print STDERR $_ : print' %{name}.list 2> finish-install.list

#mga menu entry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/autostart

cat > $RPM_BUILD_ROOT%_sysconfdir/X11/xinit.d/harddrake2 <<EOF
#!/bin/sh
exec /usr/share/harddrake/service_harddrake X11
EOF

cat > $RPM_BUILD_ROOT%_sysconfdir/sysconfig/harddrake2/kernel <<EOF
KERNEL=2.6
EOF

mv $RPM_BUILD_ROOT%_sbindir/service_harddrake_confirm $RPM_BUILD_ROOT%_datadir/harddrake/confirm

chmod +x $RPM_BUILD_ROOT{%_datadir/harddrake/{conf*,service_harddrake},%_sysconfdir/X11/xinit.d/harddrake2}
# temporary fix until we reenable this feature
rm -f $RPM_BUILD_ROOT%_sysconfdir/X11/xinit.d/harddrake2

perl -I perl-install -mharddrake::data -e 'print "DETECT_$_->{class}=yes\n" foreach @harddrake::data::tree' |sort > $RPM_BUILD_ROOT%_sysconfdir/sysconfig/harddrake2/service.conf
echo -e "AUTORECONFIGURE_RIGHT_XORG_DRIVER=yes\n" >> $RPM_BUILD_ROOT%_sysconfdir/sysconfig/harddrake2/service.conf

%find_lang libDrakX
%find_lang libDrakX-standalone
cat libDrakX.lang libDrakX-standalone.lang >> %name.list

%check
%make -C perl-install check

%post
%make_session
[[ ! -e %_sbindir/kbdconfig ]] && %__ln_s -f keyboarddrake %_sbindir/kbdconfig
[[ ! -e %_sbindir/mouseconfig ]] && %__ln_s -f mousedrake %_sbindir/mouseconfig
:

%postun
%make_session
for i in %_sbindir/kbdconfig %_sbindir/mouseconfig %_bindir/printtool;do
    [[ -L $i ]] && %__rm -f $i
done
:

%post http
%_post_service drakxtools_http

%preun http
%_preun_service drakxtools_http

%postun -n harddrake
file /etc/sysconfig/harddrake2/previous_hw | fgrep -q perl && %_datadir/harddrake/convert || :

%triggerpostun backend -- drakxtools-backend < 11.44
echo "Migrating /etc/fstab and bootloader configuration to use UUIDs. Previous files are saved with extension .before-migrate-to-uuids"
%_sbindir/bootloader-config --action migrate-to-uuids ||:

%triggerpostun backend -- drakxtools-backend < 11.52
echo "Updating /etc/modprobe.preload.d/floppy"
perl -I/usr/lib/libDrakX -Mharddrake::autoconf -e 'harddrake::autoconf::floppy()' ||:

%triggerpostun backend -- drakxtools-backend < 14.1-2
if [ -w /boot/grub/menu.lst ]; then
  if grep -q splash= /boot/grub/menu.lst; then
    echo "Migrating kernel commandline bootsplash arguments in grub"
    sed -i 's/ splash=silent / splash quiet /;s/ splash=silent$/ splash quiet/;s/ splash=verbose / /;s/ splash=verbose$//;' /boot/grub/menu.lst
  fi
fi

%triggerpostun -n harddrake -- harddrake < 11.62-2
rm -f /etc/rc.d/*/{K,S}??harddrake

%files backend -f %{name}-backend.list
%config(noreplace) /etc/security/fileshare.conf
%attr(4755,root,root) %_sbindir/fileshareset

%files curses -f %name.list
%{_datadir}/applications/localedrake*.desktop
#%doc perl-install/diskdrake/diskdrake.html
%_iconsdir/localedrake.png
%_iconsdir/large/localedrake.png
%_iconsdir/mini/localedrake.png

%files -f %{name}-gtk.list

%files -n harddrake
%dir /etc/sysconfig/harddrake2/
%config(noreplace) /etc/sysconfig/harddrake2/previous_hw
%config(noreplace) /etc/sysconfig/harddrake2/service.conf
%config(noreplace) %_sysconfdir/sysconfig/harddrake2/kernel
%dir %_datadir/harddrake/
%_datadir/harddrake/*
%_sysconfdir/X11/xsetup.d/??notify-x11-free-driver-switch.xsetup
#%_sysconfdir/X11/xinit.d/harddrake2

%files -n harddrake-ui
%dir /etc/sysconfig/harddrake2/
%_sbindir/harddrake2
%_datadir/pixmaps/harddrake2
%{_datadir}/applications/harddrake.desktop
%_iconsdir/large/harddrake.png
%_iconsdir/mini/harddrake.png
%_iconsdir/harddrake.png

%files -n drakx-finish-install
%config(noreplace) %_sysconfdir/sysconfig/finish-install
%_sysconfdir/X11/xsetup.d/??finish-install.xsetup
%_sbindir/finish-install

%files http -f %{name}-http.list
%dir %_sysconfdir/drakxtools_http
%config(noreplace) %_sysconfdir/pam.d/miniserv
%_sysconfdir/init.d/drakxtools_http
%config(noreplace) %_sysconfdir/drakxtools_http/conf
%config(noreplace) %_sysconfdir/drakxtools_http/authorised_progs
%config(noreplace) %_sysconfdir/logrotate.d/drakxtools-http





%changelog
* Sun Aug 17 2014 tv <tv> 16.26.12-1.mga4
+ Revision: 664949
- mygtk3:
  o add support for gtkset() on 'ComboBoxText' widgets for drakpxelinux
- fix not being able to select packages when list contains only one (mga#13492)
- fix not being able to select packages when list contains only one (mga#13492)
- drakclock:
  o fix crash on clicking "Cancel" after TZ selection (mga#13534)
  o fix loosing TZ choice when canceling TZ selection (mga#13534)
- drakfont:
  o fix installing fonts (Fr?\195?\169d?\195?\169ric Buclin, mga#11849)
- harddrake:
  o fix untranslated "Help" entry in menu (mga#12497)

* Sat Jan 25 2014 colin <colin> 16.26.7-1.mga4
+ Revision: 568182
- Avoid double fork problems mga#11184 mga#12364

* Mon Jan 20 2014 tv <tv> 16.26.1-1.mga4
+ Revision: 567185
- diskdrake:
  o increase back minimum partition width for Oxygen (mga#11977)

* Mon Jan 20 2014 tv <tv> 16.26-1.mga4
+ Revision: 567082
- diskdrake:
  o fix sizing partition widgets
  o revert minimum partition width to its pre-gtk3 value

* Thu Jan 16 2014 tv <tv> 16.23-1.mga4
+ Revision: 566711
- dont remove pulseaudio-module-bluetooth (mga#12323)
- fix a rpmdrake crash (mga#12331)

* Wed Jan 15 2014 tv <tv> 16.22-1.mga4
+ Revision: 566632
- services:
  o use --no-block with chkconfig and systemctl enable to prevent systemd reload
    and potential crash (especially during first/live boot)
- harddrake:
  o fix detecting some wireless devices as scanners (mga#9895)
  o fix random order of fields with perl-5.18

* Mon Jan 13 2014 tv <tv> 16.21-1.mga4
+ Revision: 566464
- diskdrake:
  o do not propose check bad blocks for btrfs (Manuel Hiebel, mga#10116)
  o increase minimum partition width for Oxygen (mga#11977)
    (if not enough, we will disable labels on partitions buttons again)
- drakboot:
  o add minimal/experimental lightdm autologin support (mga#11746)
- harddrake, logdrake:
  o fix menu accelerators
- --version option:
  o display mga copyright too (mga#10289)

* Mon Jan 06 2014 tv <tv> 16.18-2.mga4
+ Revision: 565163
- require just drak{3d,x-kbd-mouse-x11} modules (debloat, mga#8455)

* Sat Dec 28 2013 tv <tv> 16.18-1.mga4
+ Revision: 562899
- detecting input devices:
  o display the real accessed /dev/input/eventX file (mga#8232)
  o do not crash if /dev/input/eventX doesn't exist (mga#10296)
  o do not fill logs with "Cannot open /dev/input/eventX" (mga#8232)
- draksec:
  o use expanders for clarity

* Fri Dec 20 2013 tv <tv> 16.17-1.mga4
+ Revision: 559143
- drakfont:
  o fix a crash (mga#12057)

* Mon Dec 16 2013 tv <tv> 16.16-1.mga4
+ Revision: 557496
- fix a drakx crash (mga#6031)

* Fri Dec 13 2013 tv <tv> 16.15-1.mga4
+ Revision: 556604
- workaround a gtk+3 issue resulting in blacked embbeded tools with some
  locales (eg: pl/uk) (mga#11969)

* Tue Dec 10 2013 tv <tv> 16.13-1.mga4
+ Revision: 556119
- localedrake:
  o fix crash when selecting an input method (mga#11939)

* Mon Dec 09 2013 tv <tv> 16.12-1.mga4
+ Revision: 556017
- partitioning wizard:
  o log failures (mga#11924)
  o workaround a crash (mga#11924)

* Fri Dec 06 2013 tv <tv> 16.11-1.mga4
+ Revision: 555697
- fix a crash in rpmdrake when package list is empty (mga#11901)

* Thu Dec 05 2013 tv <tv> 16.8-1.mga4
+ Revision: 555419
- prevent drakxtools-backend to require Glib::Object::Introspection (mga#11842)
  (removes 302Mb from minimal install with suggests and 36Mb w/o)

* Thu Dec 05 2013 tv <tv> 16.7-1.mga4
+ Revision: 555302
- diskdrake:
  o fix a crash when creating partitions (mga#11876)

* Wed Dec 04 2013 tv <tv> 16.6-1.mga4
+ Revision: 555111
- fix blue background behind left panel text (mga#11866)
  (for not yet released gtk3 mcc)

* Tue Dec 03 2013 tv <tv> 16.5-1.mga4
+ Revision: 554754
- diskdrake:
  o detect eMMc block devices (Luc Menut, mga#11812)
  o fix a crash in partitioning wizard (mga#11820)
  o show labels on partition buttons again but ellipsized (mga#11858)

* Mon Dec 02 2013 tv <tv> 16.4-1.mga4
+ Revision: 554654
- fix banners not being blue anymore with Oxygen-gtk theme (kbo#328270)
- diskdrake:
  o fix diskdrake colorized partition tabs with Adwaita (bgo#719624)

* Sat Nov 30 2013 tv <tv> 16.3-1.mga4
+ Revision: 554312
- harddrake:
  o fix starting after draksound drop OSS/ALSA switch

* Fri Nov 29 2013 tv <tv> 16.2-1.mga4
+ Revision: 554106
- diskdrake:
  o fix dialog keeping growing when switching tabs (mga#11822):
    move partition labels to toolips
- draksound:
  o do not offer to switch to OSS
  o do not offer to switch to another driver if there's none
  o do not offer to pick a random driver when we've a default one
- finish-install:
  o no more run urpmi.update when adding media
    (uneeded with urpmi-7.27+)
- mygtk3 layer:
  o add support for RadioMenuItems for rpmdrake
- ugtk3 layer:
  o make shrinking window work again (eg: draknfs)

* Thu Nov 28 2013 tv <tv> 16.1-1.mga4
+ Revision: 553843
- logdrake:
  o fix Gtk3::TextView::get_window() passed too few parameters (mga#11807)
- mcc:
  o restore galaxy RC file, thus fixing left panel text color (mga#11773)
  o fix Gtk2 banners' text position (mga#11778)
- Banners:
  o align text to left instead of centering it
  o text is rendered as blue again
- diskdrake:
  o prevent looping forever when sizing partition tabs

* Mon Nov 25 2013 tv <tv> 16.0-1.mga4
+ Revision: 553066
- switch from Gtk+-2 to Gtk+-3:
  o Banners: most themes work OK but Oxygen-gtk3...
  o diskdrake: most themes work OK but Oxygen-gtk3...
  o drakclock cannot temporary changes the clock
  o notifications work again for net_applet
- detect_devices:
  fix ids to be numeric
- drakxservices:
  o simplify: just use tooltips for service descriptions"
- drakx-in-chroot:
  o add --depth in order to force 16bit colors mode
- drakclock:
  o assume chrony rather than ntp when neither is installed
- draksec:
  o make sure to restart polkitd after writing rules
  o support polkit rules editing for permissions overrides

* Tue Nov 19 2013 tv <tv> 15.73.1-1.mga4
+ Revision: 551840
- add chrony support to drakclock mga#11092

* Tue Nov 12 2013 colin <colin> 15.73-1.mga4
+ Revision: 550708
- 15.73: Do not use polkit if we are already root.

* Sat Nov 09 2013 tmb <tmb> 15.72-1.mga4
+ Revision: 550101
- 15.72:
  - dont remove radeon-firmware or any network related firmwares as we
    dont know when some hw gets plugged that needs it.

* Tue Oct 22 2013 umeabot <umeabot> 15.68-2.mga4
+ Revision: 542153
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 tv <tv> 15.68-1.mga4
+ Revision: 496997
- fix path to urpmi.update (so it works without mgaonline installed mga#11125)
- recognize new kernel-3.12 drivers
- wrap more standalone tools in polkit (mga#11125, mga#11418)

  + colin <colin>
    - Fix filelist autodetection magic (fixes draklog being in both base and curses packages)

* Thu Oct 10 2013 tv <tv> 15.67-1.mga4
+ Revision: 494865
- recognize new kernel-3.11 drivers

* Thu Oct 03 2013 tv <tv> 15.66-1.mga4
+ Revision: 490820
- drop merged patch :-(
- HW detection:
  o fix detecting some soft RAID (mga#11139 and the like)
  o detect wifi cards managed by ssb driver (mga#9378)
- remove symlinks during install that are now handled in drakx-kbd-mouse-x11
- diskdrake:
  o enable to format already formated btrfs partitions (mga#11256)
- use polkit for authorisation (mga#11125)
- drakauth:
  o fix ldap configuration (mga#10005)
- ensure files are installed for nfs (mga#10301)

* Sun Sep 29 2013 tv <tv> 15.65-2.mga4
+ Revision: 488715
- rebuild with fixed rpm (missing suggests tags)

* Sun Sep 08 2013 colin <colin> 15.65-1.mga4
+ Revision: 475907
- New version: 15.65
- remove symlinks during install that are now handled in drakx-kbd-mouse-x11
- use polkit for authorisation (mga#11125)
- fix drakauth ldap configuration (mga#10005)
- ensure files are installed for nfs (mga#10301)
- detect wifi cards managed by ssb driver (mga#9378)

* Wed Sep 04 2013 tmb <tmb> 15.57-3.mga4
+ Revision: 475167
- update filelists for ddrakkeyboard & drakmouse removal
- disable consolehelper for drakkeyboard & drakmouse for now as as they need
  to be adapted to polkit and currently conflicts with drakx-kbd-mouse

* Wed Sep 04 2013 neoclust <neoclust> 15.57-2.mga4
+ Revision: 475083
- Add testing patch for RAID ( #9910 #11105 #8761 #10821 #6180)

* Tue Jul 16 2013 tv <tv> 15.57-1.mga4
+ Revision: 454945
- adapt to latest btrfs utils for resizing

* Tue Jul 16 2013 tv <tv> 15.56-1.mga4
+ Revision: 454926
- detect wifi cards managed by bcma driver (mga#9378)
- detect new kernel-3.10 drivers

* Wed Jun 12 2013 zezinho <zezinho> 15.55-2.mga4
+ Revision: 442192
- new version 15.55 fixes #9941

* Wed May 29 2013 tv <tv> 15.54-2.mga4
+ Revision: 429877
- rebuild for new perl

* Fri May 17 2013 tv <tv> 15.54-1.mga3
+ Revision: 413457
- fix offering to install shorewall & shorewall-ipv6 when already installed

* Wed May 15 2013 ennael <ennael> 15.53-1.mga3
+ Revision: 413309
- logdrake: fix rsyslog<->syslog-ng install loop (mga#10086)

* Mon May 13 2013 tmb <tmb> 15.51-1.mga3
+ Revision: 413095
- any.pm: dont add arch() to release-notes file name (#10087)
- finish-install: enable Nonfree/Tainted repositories if a package
  having a matching name is installed (#8379)
- detect_devices: check for phy80211 sysfs directory as well to detect
  wireless devices

* Wed May 08 2013 blino <blino> 15.50-1.mga3
+ Revision: 412601
- harddrake: require libdrakx-net >= 1.24
- 15.50
- harddrake service:
  o do not disable bluetooth service if adapter disappears
    (for example if disabled by Fn keys)
    systemd will automatically disable the service if needed
  o install ethernet/wireless packages when a new device is detected,
    this shoud help for Broadcom devices

* Tue Apr 30 2013 tv <tv> 15.47-1.mga3
+ Revision: 411718
- skip comments in /etc/crypttab (Colin, mga#9905)

* Mon Apr 29 2013 tv <tv> 15.46-1.mga3
+ Revision: 411590
- logdrake:
  o ensure syslog-daemon is installed (stopgap to full journal support)
- requires mageia-doc-common now that it exists & it provides ctxhelp.pm

  + colin <colin>
    - Ensure a recent version of drakx-kbd-mouse-x11 is required to fix mgapplet half-upgraded issue.

* Sat Apr 27 2013 tv <tv> 15.45-1.mga3
+ Revision: 411475
- diskdrake:
  o only allow 'acl' option for extX & reiserfs (mga#9884)
- drakboot:
  o try harder to get a label for other OSes (mga#9849,9681)

* Tue Apr 23 2013 tv <tv> 15.44-1.mga3
+ Revision: 411036
- partionning:
  o fix a crash when reloading partition table (mga#9838)
  o fix a crash when trying to create a encrypted LVM partition (mga#9837)

* Sun Apr 21 2013 tv <tv> 15.42-1.mga3
+ Revision: 410677
- partionning (mga#5661):
  o ensure LVMs on top of dmcrypt are activated after unlocking
  o fix UI redraw issue after unlocking dmcrypt partition
- popup dialog confirming to quit when clicking "X" (mga#8476):
  o do not enable it by default
  o enable apps to enable it on demand
- updated translations

* Fri Apr 19 2013 tv <tv> 15.40-1.mga3
+ Revision: 410565
- diskdrake (mga#5661):
  o fix loosing crypt key when detecting LVMs on top of dmcrypt
  o fix loosing crypt key when re-reading partition tables
- drakauth:
  o 'nss-pam-ldapd' obsoletes 'pam_ldap' (mga#9769)
- drakups:
  o do not rely on legacy initscript for install test (mga#9474)

* Tue Apr 09 2013 tv <tv> 15.37-1.mga3
+ Revision: 409160
- library:
  o fix detecting some USB devices due to not reporting their class (mga#9674)
- finish-install:
  o configure urpmi media even if local media are configured, and only if
    online media are not setup (for live)
- diskdrake:
  o allow to choose btrfs in normal mode (mga#65)
- harddrake:
  o fix displayed PCI/USB ids (spot in mga#9674)
  o list HID USB devices with keyboards

* Sat Apr 06 2013 tv <tv> 15.36-1.mga3
+ Revision: 408485
- library (for draklive-install):
  o bind mount /run in chroot, thus fixing dracut runs (Dave Hodgins, mga#9213)
- drakboot:
  o fix other Mga OS names in menu (mga#8710)

* Fri Apr 05 2013 tv <tv> 15.35-1.mga3
+ Revision: 408296
- drakboot:
  o assume grub2.cfg is UTF-8 encoded
  o read back xen conf from grub2
  o set entries type when reading back grub2 conf, thus fixing
    switching back to grub-legacy (mga#9563)
- fix finding translated help (mga#9619)

* Thu Apr 04 2013 tv <tv> 15.33-1.mga3
+ Revision: 407669
- bootloader-config:
  o fix adding bogus bootloader entries (root=/dev/) when silently
    failing to lookup / partition (mga#8717)
  o try harder to lookup / partition y looking at mounted points (mga#8717)

* Thu Mar 28 2013 tv <tv> 15.31-1.mga3
+ Revision: 406048
- do not show notification bubble in net_applet as they make it to
  segfault (mga#9102)
- recognize more webcam & bluetooth devices (might help mga#5841)

* Fri Mar 22 2013 tv <tv> 15.28-1.mga3
+ Revision: 404420
- bootloader-config:
  o do not build initrd if no bootloader is detected and
    --no-initd argument is supplied
- diskdrake:
  o actually preserve UUID when formatting (mga#9428)
- drakauth:
  o install nss-pam-ldapd instead of nss_ldap (mga#9375)

* Tue Mar 12 2013 tv <tv> 15.27-1.mga3
+ Revision: 402128
- fix mounting NFS server (Derek Jennings, mga#207)
- drakboot:
  o install grub2-efi instead of grub2 if using UEFI (mga#8886)

* Tue Mar 05 2013 tv <tv> 15.26-1.mga3
+ Revision: 401498
- include display_installer_help
- finish-install:
  o prevent displaying twice release notes

* Fri Mar 01 2013 tmb <tmb> 15.24.1-1.mga3
+ Revision: 400953
- harddrake:
  o add nvidia304 to service_harddrake (Luc Menut, mga #9216)

* Thu Feb 28 2013 tv <tv> 15.24-1.mga3
+ Revision: 400645
- drakboot:
  o allow installing grub2 on a partition (mga#8462)
  o try harder not to have duplicate stuff on grub2 cmd line

* Wed Feb 27 2013 tv <tv> 15.23-1.mga3
+ Revision: 400476
- drakboot:
  o fix detecting grub2 if there's a remaining grub-legacy signature
  o read more of grub2 config
  o read & save timeout value (mga#8850)
  o set default parameters in grub2 config (mga#9177)

* Tue Feb 26 2013 tv <tv> 15.21-1.mga3
+ Revision: 400345
- bootloader-config:
  o add proper support for grub2 (detectloader, ...)
- drakboot:
  o add basic support for reading back grub2 config
  o read & write /boot/grub2/drakboot.conf
  o prevent installing grub2 somewhere else than MBR
- always bypass blkid cache (the cache only includes a subset of the data we need)

* Wed Jan 23 2013 fwang <fwang> 15.19-2.mga3
+ Revision: 391269
- update rpm group

* Wed Jan 16 2013 tmb <tmb> 15.19-1.mga3
+ Revision: 388851
- update translations
- do not bypass blkid cache

* Thu Jan 10 2013 tmb <tmb> 15.14-3.mga3
+ Revision: 344887
- rebuild for new meta-task

* Thu Jan 10 2013 tmb <tmb> 15.14-2.mga3
+ Revision: 344855
- rebuild for ldetect-lst and other updates

* Mon Dec 17 2012 tv <tv> 15.14-1.mga3
+ Revision: 332194
- ugtk2: use new exceptions management
- drakboot:
  o fix installing grub2 from live session (blino)

* Sat Dec 15 2012 tv <tv> 15.13-1.mga3
+ Revision: 331046
- fix checking grub2 installation (mga#8390)

* Fri Dec 14 2012 tv <tv> 15.12-1.mga3
+ Revision: 330980
- "enhance" fake gru2 conf reading (mga#8366)

* Thu Dec 13 2012 tv <tv> 15.11-1.mga3
+ Revision: 330458
- interactive layer:
  o fix quitting app when closing "advanced" dialog (mga#1812)
- mygtk2 layer:
  o add register_main_window() for tracking main windows
  o popup a dialog confirming to quit when clicking "X" (mga#1812)

* Wed Dec 12 2012 tv <tv> 15.10-1.mga3
+ Revision: 329863
- revert rosa crap that breaks generating initrd (mga#8357)

* Tue Dec 11 2012 tv <tv> 15.9-1.mga3
+ Revision: 329634
- library:
  o if a partition has been manually formated, don't offer to format
    it again (for draklive-install, mga#7822)

* Sun Dec 09 2012 tv <tv> 15.3-1.mga3
+ Revision: 329071
- finish-install:
  o fix a crash by lazy loading services when needed
    (Dave Hodgins, mga#8335)

* Fri Dec 07 2012 tv <tv> 15.2-1.mga3
+ Revision: 327951
- drakboot:
  o add fake gru2 conf reading

* Fri Dec 07 2012 tv <tv> 15.1-1.mga3
+ Revision: 327788
- add basic support for grub2 (mga#416)
  (based on rosa work but fixed and completed)

* Tue Nov 06 2012 tv <tv> 14.50-1.mga3
+ Revision: 314822
- adapt to new reboot path
- include FIRMWARE packages from Cards+ in detected graphical drivers,
  not to remove radeon-firmware if a matching card is present (#6438, #7641)

* Fri Oct 12 2012 tv <tv> 14.47-1.mga3
+ Revision: 304830
- diskdrake:
  o offer resizing NTFS again (broken by ntfsprogs -> ntfs-3g switch)
- drakclock:
  o do not crash if timezones cannot be listed (mga#6787)
- drakfont:
  o fix a crash
  o fix ttmkfdir path
- requires ttmkfdir for drakfont

* Thu Sep 20 2012 tv <tv> 14.45-1.mga3
+ Revision: 296437
- do not crash when trying to guess homedir before running another
  process (mga#7403)
- drakfont:
  o fix moving font files with space in their names (mga#2689)
- harddrake2:
  o remove useless "Autodetect printers" option

* Fri Sep 14 2012 tv <tv> 14.44-1.mga3
+ Revision: 293961
- drakbug:
  o fix preselecting "RPM package" (Manuel Hiebel, mga#7380)
- finish-install:
  o advertize new doc license & licenser (mga#7347)

* Tue Sep 04 2012 tv <tv> 14.43-1.mga3
+ Revision: 288168
- fix crashing when a banner icon doesn't exist (mga#5223)
- recognize new drivers:
  o input: hid-aureal synaptics_usb
  o wifi: qmi_wwan, mwifiex_usb

* Mon Sep 03 2012 tv <tv> 14.40-2.mga3
+ Revision: 287711
+ rebuild (emptylog)

* Mon Sep 03 2012 tv <tv> 14.40-1.mga3
+ Revision: 287699
- boodloader:
  o ensure initrds used in combination with kernels with vga= arguments
    are regenerated when needed
- adapt to usbfs death
- drakx-in-chroot:
  o adapt to usbfs death
- drakxservices:
  o fix checking systemd presence after systemd merge of subpackages

* Tue Aug 07 2012 tv <tv> 14.33-1.mga3
+ Revision: 279727
- further fix bogus translations that broke build
- fix bogus translations that broke build
- autologin:
  o support lxdm & slim too (#3715, Derek Jennings)
  o install autologin for lxdm & slim too
- drakboot:
  o do not crash if trying to build initrd from unknown partitions (mga#4290)
  o install acpi & acpid at once
- drakxservices:
  o when listing services ensure disabled services that can be enabled are
    shown (mga#6843)

* Fri Aug 03 2012 fwang <fwang> 14.31-2.mga3
+ Revision: 278267
- rebuild for new parted

* Tue Jul 24 2012 tv <tv> 14.31-1.mga3
+ Revision: 274006
- drakauth: don't update UsePAM option in sshd configuration
- diskdrake: install nfs-utils instead of nfs-utils-clients
  (#6570, merged back in nfs-utils)

  + shlomif <shlomif>
    - Add information to the SPEC about where the source is maintained.

* Tue Jun 12 2012 tv <tv> 14.21-3.mga3
+ Revision: 259959
+ rebuild (emptylog)

* Sun Jun 10 2012 tv <tv> 14.21-2.mga3
+ Revision: 259291
- require kmod instead of module-init-tools

* Fri May 11 2012 tv <tv> 14.21-1.mga2
+ Revision: 235336
- harddrake2: allow writing 0 as module option, and forbid options
  with spaces (#5839, from Colin)
- export res_init function to perl lib

* Sun May 06 2012 tv <tv> 14.20-1.mga2
+ Revision: 234810
- diskdrake:
  o drop support for reiser4 (mga#5680)
- harddrake service:
  o do not disable cpufreq on non-laptops
  o remove double apmd check

* Sun Apr 29 2012 tv <tv> 14.16-1.mga2
+ Revision: 234179
- drakxservices:
  o use non-blocking mode for service restart (mga#4439)

* Wed Apr 25 2012 tmb <tmb> 14.11-1.mga2
+ Revision: 233212
- drop P0 (merged)

  + tv <tv>
    - finish-install: make sure sbin is added to PATH
    - harddrake:
      o list "zc3xx" driven as webcams (mga#5449)
    - interactive::curses:
      o make sure ranges are always within limits (mga#646)
    - ensure swap partition is activated in dracut (e.g. for swap on LVM, RAID etc)
    - drakboot:
      o display mountpoint if available, and size+fs_type if we have nothing
        else (mga#5460)
    - diskdrake:
      o do not set fs_type to ext4 for raw LVM/RAID/LUKS
      o detect LVM on top on Encrypted partitions (mga#5330)
    - drakxservices:
      o systemd support (mga#3253, mga#3740, mga#4910, mga#5122)
    - s/XFree/X.org/ in description (mga#5443)

* Tue Apr 17 2012 tmb <tmb> 14.3-2.mga2
+ Revision: 231138
- finish-install: make sure sbin is added to PATH (blino)

* Sat Apr 07 2012 pterjan <pterjan> 14.3-1.mga2
+ Revision: 229464
- diskdrake:
  o fix partition numbering on GPT (mga#3091)

* Thu Apr 05 2012 tv <tv> 14.2-1.mga2
+ Revision: 228745
- harddrake service:
  o cpufreq performance governor is no longer a module
  o reduce default timeout from 10 to 2mn (mga#4772)

* Sun Mar 25 2012 colin <colin> 14.1-2.mga2
+ Revision: 226393
- Migrate grub bootsplash params to new style: 'splash quiet' rather than 'splash=silent' (mga#3430)

* Fri Mar 23 2012 tv <tv> 14.1-1.mga2
+ Revision: 225989
- drop very old conflicts
- drakauth:
  o fix actually displaying "Domain Windows for authentication"
- drakboot:
  o use "splash" on the kernel command line vs. "splash=silent" as per upstream
    code (e.g. plymouth, systemd and others)
  o support the "quiet" kernel command line argument to hide kernel text
- drakbug, draksec, drakxhelp, logdrake:
  o fix displaying "Mageia"
- harddrake:
  o fix detecting bluetooth devices

* Mon Mar 12 2012 tv <tv> 13.93-1.mga2
+ Revision: 223105
- fix mgaapplet crashing on live migration when there's a new major version of
  perl (mga#3042)
- reduce resident memory of net_applet (5Mb aka 11%%) & mgapplet (7Mb aka 14%%)

* Sun Mar 11 2012 tv <tv> 13.92-1.mga2
+ Revision: 222576
- english message improvement (mga#456)
- diskdrake:
  o fix error on removing LVs
  o fix resizing LVs (mga#4666)

* Sun Mar 04 2012 tv <tv> 13.89.2-1.mga2
+ Revision: 218206
- redo properly the tarball (mga#4783)

* Fri Mar 02 2012 anssi <anssi> 13.89.1-1.mga2
+ Revision: 216897
- service_harddrake:
  o recognize XZ compressed proprietary driver modules properly (mga#4767)

* Wed Feb 29 2012 tv <tv> 13.86-1.mga2
+ Revision: 216016
- load 'xts' module for crypted fses (Dave Hodgins, mga#3749)
- recognize more HID drivers (mga#4129)

* Mon Feb 13 2012 tv <tv> 13.81-1.mga2
+ Revision: 208473
- localedrake:
  o add hime
  o remove chinput, kinput2, oxim, xcin
- make drakclock systemd compatible
- fix crashing on parsing garbaged DMI info (mga#4329)
- diskdrake:
  o use better cipher for encrypted fses (mga#3092)

* Wed Jan 25 2012 tv <tv> 13.79-1.mga2
+ Revision: 201357
- silent failure to extract gz modules (for rescue)
- diskdrake:
  o better default name for new VG (vg-mga, vg-mga1, ...
    instead of vg-0, vg-1, ...)

* Mon Jan 23 2012 tv <tv> 13.77-1.mga2
+ Revision: 200365
- add support for XZ modules
- diskdrake:
  o enable to set LV names when not in expert mode
  o enable to set label on btrfs & nilfs fses as well as on swap
  o preserve UUID when reformating a nilfs fs
  o report back error from lvm2
  o suggest better LV names based on the mount point rather than numbers

* Fri Jan 06 2012 tv <tv> 13.74-2.mga2
+ Revision: 192029
- rebuild with new libldetect, saving quite a lot of RAM

* Sat Dec 24 2011 tmb <tmb> 13.74-1.mga2
+ Revision: 187097
- sync version with stage2
- fix mdv references

* Sat Dec 24 2011 tmb <tmb> 13.73-1.mga2
+ Revision: 187083
- drakboot:
  o display partition labels in list instead of just disk names in "boot
    device" choice
  o display partition labels when adding a foreign OS
- harddrake: fix missing names (mga#3745)
- interactive::curses: default to 80x25 (fixes serial)
- dont force init=/bin/systemd (#3856, already fixed in svn by blino)
- drop buildroot and defattr

* Thu Dec 15 2011 blino <blino> 13.72.1-2.mga2
+ Revision: 181664
- add explicit perlapi requires (#3731) since find-requires won't find XS modules in non-standard perl path

* Sun Dec 11 2011 tv <tv> 13.72.1-1.mga2
+ Revision: 180612
- fix $HOME for all when runing as another user instead of root (mga#287)
- harddrake: fix crash after mismerge (mga#3696)

* Sat Dec 10 2011 tv <tv> 13.72-1.mga2
+ Revision: 180110
- drakhelp: make it work somewhat despite lack of doc
- prevent net_applet to crash on notifications without icons (mga#2876)
- harddrake:
  o do not display some bluetooth stuff as unknown (mga#1460)
  o prevent detecting some soft modems as scanners (mga#2753)

* Sun Dec 04 2011 anssi <anssi> 13.71-1.mga2
+ Revision: 175822
- service_harddrake:
  o better notification message when the driver has been automatically
    switched
  o show a correct warning message when a proprietary driver is loaded while
    a free driver is configured
  o fix driver switch failing to alter xorg.conf when the Driver line doesn't
    contain default whitespacing (reported by Barry Jackson)

* Sun Nov 27 2011 tv <tv> 13.70.2-1.mga2
+ Revision: 172854
- fix crashing on creating temp file if temp dir doesn't exist (mga#1396)

* Tue Nov 22 2011 tv <tv> 13.70.1-1.mga2
+ Revision: 171084
- drakbug:
  o do not keep around the segfaulted process once we collected all needed data
    when running drakbug
  o regroup misc data in bugzilla

* Tue Nov 22 2011 tv <tv> 13.70-1.mga2
+ Revision: 171045
- drakbug:
  o report the gtk+ theme in use (#3127) which explain some crashes (eg: #2679)
  o include better C traces in reports
  o remove top of traces that is inside bug handler from report
  o no more run GDB (too late & faster)

* Thu Oct 20 2011 tv <tv> 13.63-2.mga2
+ Revision: 156940
- rebuild for new ldetect

* Wed Sep 07 2011 tv <tv> 13.63-1.mga2
+ Revision: 140919
- drop patch 0 (merged)
- finish-install:
  o "Multi languages" => "Multiple languages" (mga#1011)
- diskdrake:
  o always align partitions to start at megabyte boundaries to avoid
    performance issues with drives with 4k physical sectors (mga#1215)
- patch 0: fix LSB keywords
- drop patch0 (merged upstream)
- disdrake:
  o spaces are not allowed between options in /etc/fstab (#2271)
- drakfont:
  o rename Ooo as LibreOffice (#461)
  o enable support for LibreOffice/gs/... only if available (#461)
- fix bootloader entries names
- any.pm:
  o Add lxsession to the wm list, and add lxde-logout as the
    ask_window_manager_to_logout command (mga#1395)
  o share some kernel check's code for drakx-net (#1266)

  + tmb <tmb>
    - fix version detection for naming of bootloader entries
      * before: title 2 3.0.0-desktop-1.mga
      * after:  title desktop 3.0.0-1.mga2

* Tue Jul 19 2011 fwang <fwang> 13.59-2.mga2
+ Revision: 126188
- rebuild for new parted

* Tue Jun 14 2011 dmorgan <dmorgan> 13.59-1.mga2
+ Revision: 106012
- Fix new libnotify API

* Sun Jun 12 2011 ahmad <ahmad> 13.58-2.mga2
+ Revision: 105356
- Rebuild for perl-5.14.0

* Thu May 26 2011 ennael <ennael> 13.58-1.mga1
+ Revision: 100540
-update translations
- fix top banner

* Fri May 20 2011 blino <blino> 13.55-1.mga1
+ Revision: 99831
- 13.55
- finish-install: do not try to replace home path for device files
  after live install (#1148)
- add ums-* (USB mass storage) modules in disk/usb category

* Thu May 19 2011 tv <tv> 13.54-1.mga1
+ Revision: 99705
- draksound:
  o Robustify the PulseAudio configs (don't try and write files if they
    do not exists. Doing so previously would result in blank files that then
    causes problems when installing PulseAudio as the "config" files are not
    overwritten properly which can result in broken PA startup)
  o Remove the "Enable 5.1..." option. This is now done via card profiles
    in native GUIs for GNOME and KDE (or pavucontrol)
  o Remove the "Enable user switching..." option as it relies on HAL
    which is deprecated.
- scannerdrake: use skanlite instead of kooka
- any.pm: fix faces icons paths (mga#1315)
- fix reading security level with new msec (mga#332)

* Sat May 14 2011 pterjan <pterjan> 13.52-1.mga1
+ Revision: 98780
- diskdrake: disbale encryption option for /boot
- match partitions when one of them as device_alias to the device of the other
  one (Fixes Mageia bug #1041)

* Thu May 12 2011 ennael <ennael> 13.51-1.mga1
+ Revision: 97560
- update icons for harddrake

* Fri May 06 2011 tv <tv> 13.50-1.mga1
+ Revision: 95562
- bind more pciutils/libldetect for stage1
- localedrake:
  o use proper locales-XX packages for Albanian (#1036)

  + dmorgan <dmorgan>
    - imported package drakxtools

